package hello;

import java.time.LocalTime;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.QueryParam;

@Path("/hello")
public class HelloRest {
	// Używamy technologii JAX-RS, która jest częścią Java EE
	
	@GET
	// http://localhost:8080/PC20-Rest-1.0/hello
	public String hello() {
		return "Hello REST";
	}
	
	@GET
	@Path("/godzina")
	// http://localhost:8080/PC20-Rest-1.0/hello/godzina
	public String ktoraGodzina() {
		return LocalTime.now().toString();
	}
	
	@GET
	@Path("/rozmowa")
	// http://localhost:8080/PC20-Rest-1.0/hello/rozmowa?imie=Patryk
	public String rozmowa(@QueryParam("imie") String imie) {
		return "Witaj " + imie;
	}
	
}
